#include <bits/stdc++.h>

using namespace std;

int main()
{
    string a;
    cin >>a;
    int m=0;
    reverse(a.begin(),a.end());
    for(int i=0;i<a.size();i++){
    	if(a[i]=='0' and i==0){
		a.erase(a.begin());
		i=i-1;
		}
	}
	for(int i=0;i<a.size();i++){
    	if(a[i]=='2')
		cout<<'5';
		else if(a[i]=='5')
		cout<<'2';
		else
		cout<<a[i];
	}
	
}
